## GUPnPDIDLLiteParser GUPnPDIDLLiteParser — A/V DIDL-Lite XML parser |

## Functions

GUPnPDIDLLiteParser * | gupnp_didl_lite_parser_new ()
gboolean | gupnp_didl_lite_parser_parse_didl ()

## Types and Values

| GUPnPDIDLLiteParser

## Description

GUPnPDIDLLiteParser parses DIDL-Lite XML strings.

## Functions

### gupnp_didl_lite_parser_new ()

    GUPnPDIDLLiteParser *
    gupnp_didl_lite_parser_new (void);

#### Returns

A new GUPnPDIDLLiteParser object.

### gupnp_didl_lite_parser_parse_didl ()

    gboolean
    gupnp_didl_lite_parser_parse_didl (GUPnPDIDLLiteParser *parser,
                                       const char *didl,
                                       GError **error);

Parses DIDL-Lite XML string `didl` , emitting the ::object-available, ::item-available and ::container-available signals appropriately during the process.

#### Parameters

parser | A GUPnPDIDLLiteParser |
didl | The DIDL-Lite XML string to be parsed |
error | The location where to store any error, or NULL |

#### Returns

TRUE on success.

## Types and Values

### GUPnPDIDLLiteParser

    typedef struct {
            GObject parent;

            gpointer gupnp_reserved;
    } GUPnPDIDLLiteParser;